Support » Plugin: WPSSO Core | The Ultimate Meta Tag and Schema Markup Solution » this plugin create Warnings for us.

  • Resolved dimuthu009

    (@dimuthu009)


    Hi team,
    I have updated this plugin last Thursday.
    Then suddenly waning are appearing on the “https://backlinelogistics.co.uk/attendee-registration/?provider=tribe_wooticket” page. see bellow.

    Warning: Creating default object from empty value in /var/www/vhosts/backlinelogistics.co.uk/httpdocs/wp-content/plugins/wpsso/lib/util.php on line 2618

    Notice: Undefined property: stdClass::$post_name in /var/www/vhosts/backlinelogistics.co.uk/httpdocs/wp-content/plugins/wpsso/lib/util.php on line 2619

    Notice: Undefined property: stdClass::$post_title in /var/www/vhosts/backlinelogistics.co.uk/httpdocs/wp-content/plugins/wpsso/lib/util.php on line 2620

    at this moment plugin was deactivated. please check and let us know about this.

    thanks
    Dimuthu

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author JS Morisset

    (@jsmoriss)

    That’s interesting. That means the webpage is a “post” (post, page, or custom post type), has a post ID, is not yet published, but the WordPress get_post() for that post ID does not return a post object. This was not a scenario that was thought possible. 🙂

    I’ve added an extra is_object() check in WPSSO Core v5.4.0-dev.2. You can download the current development version here: https://wordpress.org/plugins/wpsso/advanced/

    js.

    Hi JS,

    Still we have the following warning messages.

    Warning: Creating default object from empty value in /var/www/vhosts/backlinelogistics.co.uk/httpdocs/wp-content/plugins/wpsso/lib/util.php on line 2618

    Notice: Undefined property: stdClass::$post_name in /var/www/vhosts/backlinelogistics.co.uk/httpdocs/wp-content/plugins/wpsso/lib/util.php on line 2619

    Notice: Undefined property: stdClass::$post_title in /var/www/vhosts/backlinelogistics.co.uk/httpdocs/wp-content/plugins/wpsso/lib/util.php on line 2620

    thanks
    Dimuthu

    Plugin Author JS Morisset

    (@jsmoriss)

    It doesn’t look like you’re using WPSSO Core v5.4.0-dev.2 — the line numbers don’t match WPSSO Core v5.4.0-dev.2…

    js.

    perfect. development version dosent have the errors.

    so what causes this issue.
    what happens if the new version comes?

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.